|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
PWM_INTERFACE Struct Reference
MPLABX MCC Melody Code Generator » PWM Driver

Structure containing the function pointers of PWM generator driver. More...

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/mcc_generated_files/pwm/pwm_interface.h>`

Collaboration diagram for PWM_INTERFACE:

## Data Fields
void(* | Initialize )(void)
| Pointer to SCCPx_PWM_Initialize e.g. SCCP1_PWM_Initialize.
void(* | Deinitialize )(void)
| Pointer to SCCPx_PWM_Deinitialize e.g. SCCP1_PWM_Deinitialize.
void(* | Enable )(void)
| Pointer to SCCPx_PWM_Enable e.g. SCCP1_PWM_Enable.
void(* | Disable )(void)
| Pointer to SCCPx_PWM_Disable e.g. SCCP1_PWM_Disable.
void(* | PeriodSet )(size_t periodCount)
| Pointer to SCCPx_PWM_PeriodSet e.g. SCCP1_PWM_PeriodSet.
void(* | DutyCycleSet )(size_t dutyCycleCount)
| Pointer to SCCPx_PWM_DutyCycleSet e.g. SCCP1_PWM_DutyCycleSet.
void(* | DeadTimeSet )(size_t deadTimeCount)
| Pointer to SCCPx_PWM_DeadTimeSet e.g. SCCP1_PWM_DeadTimeSet (This feature is hardware dependent)
void(* | OutputModeSet )(enum PWM_OUTPUT_MODES outputMode)
| Pointer to SCCPx_PWM_OutputModeSet e.g. SCCP1_PWM_OutputModeSet (This feature is hardware dependent)
void(* | SoftwareTriggerSet )(void)
| Pointer to SCCPx_PWM_SoftwareTriggerSet e.g. SCCP1_PWM_SoftwareTriggerSet.
void(* | CallbackRegister )(void(*handler)(void))
| Pointer to SCCPx_PWM_CallbackRegister e.g. SCCP1_PWM_CallbackRegister.
void(* | Tasks )(void)
| Pointer to SCCPx_PWM_Tasks e.g. SCCP1_PWM_Tasks (Supported only in polling mode)

## Detailed Description

Definition at line 54 of file pwm_interface.h.

## Field Documentation

## ◆ CallbackRegister

void(* CallbackRegister) (void(*handler)(void))

Definition at line 82 of file pwm_interface.h.

## ◆ DeadTimeSet

void(* DeadTimeSet) (size_t deadTimeCount)

Definition at line 73 of file pwm_interface.h.

## ◆ Deinitialize

void(* Deinitialize) (void)

Definition at line 58 of file pwm_interface.h.

## ◆ Disable

void(* Disable) (void)

Definition at line 64 of file pwm_interface.h.

## ◆ DutyCycleSet

void(* DutyCycleSet) (size_t dutyCycleCount)

Definition at line 70 of file pwm_interface.h.

## ◆ Enable

void(* Enable) (void)

Definition at line 61 of file pwm_interface.h.

## ◆ Initialize

void(* Initialize) (void)

Definition at line 55 of file pwm_interface.h.

## ◆ OutputModeSet

void(* OutputModeSet) (enum PWM_OUTPUT_MODES outputMode)

Definition at line 76 of file pwm_interface.h.

## ◆ PeriodSet

void(* PeriodSet) (size_t periodCount)

Definition at line 67 of file pwm_interface.h.

## ◆ SoftwareTriggerSet

void(* SoftwareTriggerSet) (void)

Definition at line 79 of file pwm_interface.h.

## ◆ Tasks

void(* Tasks) (void)

Definition at line 85 of file pwm_interface.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/mcc_generated_files/pwm/pwm_interface.h